Le document ci-dessous présente une liste non exhaustive d'évolutions / corrections à retrouver dans la version 2020.02 de vMap.

L'ensemble des évolutions et anomalies de cette nouvelle version sont à retrouver sur le GitLab de Veremes : https://gitlab.veremes.net/open-source/vmap/milestones/19

# Évolutions

## 1. Paramétrage d’une étendue cartographique de démarrage par défaut pour chaque utilisateur.

![](images/config_user_vmap.png)

Si aucune étendu n'est défini, c'est l'étendu de la carte qui sera pris en compte.

## 2. Ajout de l'option "Relevé de propriété de la parcelle tiers" dans le module cadastre.

![](images/releve_propriete_tiers.png)

Le relevé de propriété de la parcelle tiers correspond au relevé de propriété de la parcelle sans date ni lieu de naissance du(des) propriétaire(s).

## 3. Déplacement du bouton « Modifier la géométrie » dans l’infobulle de consultation.

![](images/btn_geometrie.png)

## 4. Evolution des rapports

On peut désormais appliquer un style aux rapports, les styles sont les mêmes que pour les impressions.

![](images/rapport_vmap_admin.png)

La demande de rapport peut se faire depuis les infobulles
![](images/rapport_vmap_objet.png)
![](images/rapport_vmap_objets.png)

## 5. Les outils d’édition graphique (création et mise à jour) peuvent être désactivé.

Configuration dans l'objet métier:

![](images/conf_bo_geom.png)

Géométrie modifiable à non:

![](images/bo_geom_editable_non1.png)
![](images/bo_geom_editable_non2.png)

Géométrie saisissable à non:

![](images/bo_geom_saisissable_non.png)

## 6. Ajout d'un niveau de zoom minimum et maximum dans le formulaire du service si le service est de type XYZ.

Permet de ne pas charger les images au dessus et en dessous des zooms définie.

## 7. Implémentation d’un module « Anomalies » pour la remontée cartographique des anomalies.

![](images/anomalies.png)

## 8. Amélioration du contrôle de localisation rapide : élargissement du contrôle et ajout d’un bouton « Effacer la valeur courante »

Ajout d'une croix pour réinitialiser la recherche.

La zone de texte s'agrandit quand le curseur est dedans, décaler les autres icônes vers la droite.

![](images/localisation.png)

## 9. Amélioration de la fonctionnalité de clonage des cartes.

Lorsqu'on clone une carte les calques sont clonés en même temps.

## 10. Ajout de l’option « Objet requêtable » permettant aux objets métiers d’être localisables, sélectionnables et requêtable de manière exclusive.

![](images/conf_bo_loc_select_req.png)

Ajout de trois options dans le formulaire d'objet métier:

- Objet localisable : correspond à l’outil de localisation (fonctionnalité déjà existante)

![](images/bo_localisable.png)

- Objet sélectionnable : correspond au bouton i et à l'ajout 

![](images/bo_selectionnable.png)
![](images/bo_selectionnable2.png)

- Objet requêtable : correspond au bouton i+

![](images/bo_requetable.png)

## 11. Implémentation d’un module « Cadastre medium »

Ajout d'un privilège vmap_cadastre_medium_user.

L'utilisateur qui a ce privilège a accès au module cadastre.
Les éléments suivants sont retirés pour ce privilège:
- La consultation du relevé de propriété
- Dans la fiche descriptive de parcelle, de la subdivision fiscale et de la fiche d’élément bâti

![](images/cadastre_medium1.png)

![](images/cadastre_medium2.png)

## 12. Ajout d'une option de configuration pour activer ou désactiver les outils des infobulles.

![](images/admin_infobulles.png)

![](images/admin_infobulles2.png)

## 13. Ajout d'un lien mapillary dans les infobulles.

## 14. Implémentation de la recherche « plein texte » de PostGreSQL pour la localisation.

Ajout de l'option dans l'objet métier.

![](images/conf_bo_mode_recherche.png)

Ajouter la recherche « plein texte » de PostGreSQL sur les objets métiers à partir du contrôle de localisation rapide de VMap (cf. https://docs.postgresql.fr/11/textsearch.html)

## 15. Saisie des coordonnées d’un vertex lors de la création et de la mise à jour d'un objet géométrique.

![](images/saisie_coordonnees.png)

## 16. Ajout du nom de la base de données, du schéma et de la table utilisés par l’objet métier dans les formulaires.

![](images/bdd_schema_table0.png)
![](images/bdd_schema_table1.png)

![](images/bdd_schema_table2.png)

# Évolutions / Corrections

## 1. Module cadastre: rapport locaux écriture du type de local à la place de l'identifiant

![](images/cadastre_locaux.png)

## 2. Module ANC: Suppression de la liste déroulante des installations dans le formulaire d'édition d'un contrôle

![](images/anc_installation.png)


# Corrections

## 1. Correction du bouton "Lien vers cet objet" dans les infobulles.

## 2. Ordre des modèles dans l'outil d'impression

Si le paramétrage « Liste des modèles dans l'outil d'impression par ordre alphabétique » est sur non dans l’administration, le tri ne se fait pas correctement.

![](images/ordre_model_impression1.png)

![](images/ordre_model_impression2.png)

## 3. Impression: Prise en compte de l'échelle pour la légende quand l'option "échelle" est coché.

![](images/correction_impression_echelle.png)

## 4. Impression: Ajout en mode comparaison de la source de la seconde carte.

![](images/source_carte2.png)


## 5. Module ANC: Date invalide

![](images/anc_date.png)

## 6. Formulaires: Fond des cartes OSM n'était pas visible

![](images/carte_osm.png)

## 7. Flux wms externe dans les impressions

Un Flux wms externe comme l'IGN, qui ne gère pas la légende, dans un service de type wms bloquait l'impression.


